summaryrefslogtreecommitdiff
path: root/build-aux
diff options
context:
space:
mode:
authorJan Lehnardt <jan@apache.org>2015-04-05 10:17:04 +0200
committerJan Lehnardt <jan@apache.org>2015-06-24 23:06:46 +0200
commitcb53da859214d0a36395d6916b157ab8787e546c (patch)
treeef6885f995c9b7d509fe8e97d1f1d7e18d17e199 /build-aux
parentcadd21ca09dede1b07dcb80e01a1fb93c1be4145 (diff)
downloadcouchdb-cb53da859214d0a36395d6916b157ab8787e546c.tar.gz
add version file
Diffstat (limited to 'build-aux')
-rwxr-xr-xbuild-aux/couchdb-build-release.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/build-aux/couchdb-build-release.sh b/build-aux/couchdb-build-release.sh
index f2f7e1b9f..557c2b8d5 100755
--- a/build-aux/couchdb-build-release.sh
+++ b/build-aux/couchdb-build-release.sh
@@ -1,4 +1,13 @@
-#!/bin/sh -ex
+#!/bin/sh -e
+
+VERSION=$1
+
+if [ -z "$VERSION" ]; then
+ echo "NO VERSION"
+ exit 1
+fi
+
+echo "Building Apache CouchDB $VERSION"
RELDIR=apache-couchdb
# make release dir